ClouderaManagerResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class ClouderaManagerResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ClouderaManagerResourceApi

-     public class ClouderaManagerResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClouderaManagerResourceApi()`
    `ClouderaManagerResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `addCustomCerts(ApiAddCustomCertsArguments body)` Add custom certificates to the Auto-TLS certificate database.
    `com.squareup.okhttp.Call` | `addCustomCertsAsync(ApiAddCustomCertsArguments body, ApiCallback<ApiCommand> callback)` Add custom certificates to the Auto-TLS certificate database.
    `com.squareup.okhttp.Call` | `addCustomCertsCall(ApiAddCustomCertsArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addCustomCerts
    `ApiResponse<ApiCommand>` | `addCustomCertsWithHttpInfo(ApiAddCustomCertsArguments body)` Add custom certificates to the Auto-TLS certificate database.
    `void` | `beginTrial()` Begin trial license.
    `com.squareup.okhttp.Call` | `beginTrialAsync(ApiCallback<Void> callback)` Begin trial license.
    `com.squareup.okhttp.Call` | `beginTrialCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for beginTrial
    `ApiResponse<Void>` | `beginTrialWithHttpInfo()` Begin trial license.
    `ApiCommand` | `clustersPerfInspectorCommand(ApiClustersPerfInspectorArgs body)` Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
    `com.squareup.okhttp.Call` | `clustersPerfInspectorCommandAsync(ApiClustersPerfInspectorArgs body, ApiCallback<ApiCommand> callback)` Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
    `com.squareup.okhttp.Call` | `clustersPerfInspectorCommandCall(ApiClustersPerfInspectorArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for clustersPerfInspectorCommand
    `ApiResponse<ApiCommand>` | `clustersPerfInspectorCommandWithHttpInfo(ApiClustersPerfInspectorArgs body)` Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
    `ApiCommand` | `collectDiagnosticDataCommand(ApiCollectDiagnosticDataArguments body)` Collect diagnostic data from hosts managed by Cloudera Manager.
    `com.squareup.okhttp.Call` | `collectDiagnosticDataCommandAsync(ApiCollectDiagnosticDataArguments body, ApiCallback<ApiCommand> callback)` Collect diagnostic data from hosts managed by Cloudera Manager.
    `com.squareup.okhttp.Call` | `collectDiagnosticDataCommandCall(ApiCollectDiagnosticDataArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for collectDiagnosticDataCommand
    `ApiResponse<ApiCommand>` | `collectDiagnosticDataCommandWithHttpInfo(ApiCollectDiagnosticDataArguments body)` Collect diagnostic data from hosts managed by Cloudera Manager.
    `ApiCommand` | `deleteCredentialsCommand(String deleteCredentialsMode)` Delete existing Kerberos credentials.
    `com.squareup.okhttp.Call` | `deleteCredentialsCommandAsync(String deleteCredentialsMode, ApiCallback<ApiCommand> callback)` Delete existing Kerberos credentials.
    `com.squareup.okhttp.Call` | `deleteCredentialsCommandCall(String deleteCredentialsMode, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteCredentialsCommand
    `ApiResponse<ApiCommand>` | `deleteCredentialsCommandWithHttpInfo(String deleteCredentialsMode)` Delete existing Kerberos credentials.
    `ApiCmServerList` | `deleteInstances(ApiStringList body)` Remove a list of cm servers from ha cluster.
    `com.squareup.okhttp.Call` | `deleteInstancesAsync(ApiStringList body, ApiCallback<ApiCmServerList> callback)` Remove a list of cm servers from ha cluster.
    `com.squareup.okhttp.Call` | `deleteInstancesCall(ApiStringList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteInstances
    `ApiResponse<ApiCmServerList>` | `deleteInstancesWithHttpInfo(ApiStringList body)` Remove a list of cm servers from ha cluster.
    `ApiCommand` | `disableCsp()` Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\".
    `com.squareup.okhttp.Call` | `disableCspAsync(ApiCallback<ApiCommand> callback)` Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\".
    `com.squareup.okhttp.Call` | `disableCspCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for disableCsp
    `ApiResponse<ApiCommand>` | `disableCspWithHttpInfo()` Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\".
    `void` | `endTrial()` End trial license.
    `com.squareup.okhttp.Call` | `endTrialAsync(ApiCallback<Void> callback)` End trial license.
    `com.squareup.okhttp.Call` | `endTrialCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for endTrial
    `ApiResponse<Void>` | `endTrialWithHttpInfo()` End trial license.
    `ApiCommand` | `generateCmca(ApiGenerateCmcaArguments body)` Generate a CMCA.
    `com.squareup.okhttp.Call` | `generateCmcaAsync(ApiGenerateCmcaArguments body, ApiCallback<ApiCommand> callback)` Generate a CMCA.
    `com.squareup.okhttp.Call` | `generateCmcaCall(ApiGenerateCmcaArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateCmca
    `ApiResponse<ApiCommand>` | `generateCmcaWithHttpInfo(ApiGenerateCmcaArguments body)` Generate a CMCA.
    `ApiCommand` | `generateCredentialsAdhoc(ApiPrincipalList body)` Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well.
    `com.squareup.okhttp.Call` | `generateCredentialsAdhocAsync(ApiPrincipalList body, ApiCallback<ApiCommand> callback)` Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well.
    `com.squareup.okhttp.Call` | `generateCredentialsAdhocCall(ApiPrincipalList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateCredentialsAdhoc
    `ApiResponse<ApiCommand>` | `generateCredentialsAdhocWithHttpInfo(ApiPrincipalList body)` Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well.
    `ApiCommand` | `generateCredentialsCommand()` Generate missing Kerberos credentials.
    `com.squareup.okhttp.Call` | `generateCredentialsCommandAsync(ApiCallback<ApiCommand> callback)` Generate missing Kerberos credentials.
    `com.squareup.okhttp.Call` | `generateCredentialsCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateCredentialsCommand
    `ApiResponse<ApiCommand>` | `generateCredentialsCommandWithHttpInfo()` Generate missing Kerberos credentials.
    `ApiClient` | `getApiClient()`
    `ApiClusterSupportTokenList` | `getClusterSupportTokenList()` Gets the support tokens for all the clusters.
    `com.squareup.okhttp.Call` | `getClusterSupportTokenListAsync(ApiCallback<ApiClusterSupportTokenList> callback)` Gets the support tokens for all the clusters.
    `com.squareup.okhttp.Call` | `getClusterSupportTokenListCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getClusterSupportTokenList
    `ApiResponse<ApiClusterSupportTokenList>` | `getClusterSupportTokenListWithHttpInfo()` Gets the support tokens for all the clusters.
    `ApiConfigList` | `getConfig(String view)` Retrieve the Cloudera Manager settings.
    `com.squareup.okhttp.Call` | `getConfigAsync(String view, ApiCallback<ApiConfigList> callback)` Retrieve the Cloudera Manager settings.
    `com.squareup.okhttp.Call` | `getConfigCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getConfig
    `ApiResponse<ApiConfigList>` | `getConfigWithHttpInfo(String view)` Retrieve the Cloudera Manager settings.
    `ApiDeployment2` | `getDeployment2(String view)` Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc.
    `com.squareup.okhttp.Call` | `getDeployment2Async(String view, ApiCallback<ApiDeployment2> callback)` Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc.
    `com.squareup.okhttp.Call` | `getDeployment2Call(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getDeployment2
    `ApiResponse<ApiDeployment2>` | `getDeployment2WithHttpInfo(String view)` Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc.
    `ApiKerberosInfo` | `getKerberosInfo()` Provides Cloudera Manager Kerberos information.
    `com.squareup.okhttp.Call` | `getKerberosInfoAsync(ApiCallback<ApiKerberosInfo> callback)` Provides Cloudera Manager Kerberos information.
    `com.squareup.okhttp.Call` | `getKerberosInfoCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getKerberosInfo
    `ApiResponse<ApiKerberosInfo>` | `getKerberosInfoWithHttpInfo()` Provides Cloudera Manager Kerberos information.
    `ApiPrincipalList` | `getKerberosPrincipals(Boolean missingOnly)` Returns the Kerberos principals needed by the services being managed by Cloudera Manager.
    `com.squareup.okhttp.Call` | `getKerberosPrincipalsAsync(Boolean missingOnly, ApiCallback<ApiPrincipalList> callback)` Returns the Kerberos principals needed by the services being managed by Cloudera Manager.
    `com.squareup.okhttp.Call` | `getKerberosPrincipalsCall(Boolean missingOnly, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getKerberosPrincipals
    `ApiResponse<ApiPrincipalList>` | `getKerberosPrincipalsWithHttpInfo(Boolean missingOnly)` Returns the Kerberos principals needed by the services being managed by Cloudera Manager.
    `File` | `getKrb5Conf()` Retrieves krb5.
    `com.squareup.okhttp.Call` | `getKrb5ConfAsync(ApiCallback<File> callback)` Retrieves krb5.
    `com.squareup.okhttp.Call` | `getKrb5ConfCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getKrb5Conf
    `ApiResponse<File>` | `getKrb5ConfWithHttpInfo()` Retrieves krb5.
    `ApiLicensedFeatureUsage` | `getLicensedFeatureUsage()` Retrieve a summary of licensed feature usage.
    `com.squareup.okhttp.Call` | `getLicensedFeatureUsageAsync(ApiCallback<ApiLicensedFeatureUsage> callback)` Retrieve a summary of licensed feature usage.
    `com.squareup.okhttp.Call` | `getLicensedFeatureUsageCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getLicensedFeatureUsage
    `ApiResponse<ApiLicensedFeatureUsage>` | `getLicensedFeatureUsageWithHttpInfo()` Retrieve a summary of licensed feature usage.
    `String` | `getLog()` Returns the entire contents of the Cloudera Manager log file.
    `com.squareup.okhttp.Call` | `getLogAsync(ApiCallback<String> callback)` Returns the entire contents of the Cloudera Manager log file.
    `com.squareup.okhttp.Call` | `getLogCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getLog
    `ApiResponse<String>` | `getLogWithHttpInfo()` Returns the entire contents of the Cloudera Manager log file.
    `ApiScmDbInfo` | `getScmDbInfo()` Provides Cloudera Manager server's database information.
    `com.squareup.okhttp.Call` | `getScmDbInfoAsync(ApiCallback<ApiScmDbInfo> callback)` Provides Cloudera Manager server's database information.
    `com.squareup.okhttp.Call` | `getScmDbInfoCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getScmDbInfo
    `ApiResponse<ApiScmDbInfo>` | `getScmDbInfoWithHttpInfo()` Provides Cloudera Manager server's database information.
    `ApiShutdownReadiness` | `getShutdownReadiness(String lastActivityTime)` Retrieve Cloudera Manager's readiness for shutdown and destroy.
    `com.squareup.okhttp.Call` | `getShutdownReadinessAsync(String lastActivityTime, ApiCallback<ApiShutdownReadiness> callback)` Retrieve Cloudera Manager's readiness for shutdown and destroy.
    `com.squareup.okhttp.Call` | `getShutdownReadinessCall(String lastActivityTime, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getShutdownReadiness
    `ApiResponse<ApiShutdownReadiness>` | `getShutdownReadinessWithHttpInfo(String lastActivityTime)` Retrieve Cloudera Manager's readiness for shutdown and destroy.
    `ApiVersionInfo` | `getVersion()` Provides version information of Cloudera Manager itself.
    `com.squareup.okhttp.Call` | `getVersionAsync(ApiCallback<ApiVersionInfo> callback)` Provides version information of Cloudera Manager itself.
    `com.squareup.okhttp.Call` | `getVersionCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getVersion
    `ApiResponse<ApiVersionInfo>` | `getVersionWithHttpInfo()` Provides version information of Cloudera Manager itself.
    `ApiCommand` | `hostInstallCommand(ApiHostInstallArguments body)` Perform installation on a set of hosts.
    `com.squareup.okhttp.Call` | `hostInstallCommandAsync(ApiHostInstallArguments body, ApiCallback<ApiCommand> callback)` Perform installation on a set of hosts.
    `com.squareup.okhttp.Call` | `hostInstallCommandCall(ApiHostInstallArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostInstallCommand
    `ApiResponse<ApiCommand>` | `hostInstallCommandWithHttpInfo(ApiHostInstallArguments body)` Perform installation on a set of hosts.
    `ApiCommand` | `hostsDecommissionCommand(ApiHostNameList body)` Decommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsDecommissionCommandAsync(ApiHostNameList body, ApiCallback<ApiCommand> callback)` Decommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsDecommissionCommandCall(ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsDecommissionCommand
    `ApiResponse<ApiCommand>` | `hostsDecommissionCommandWithHttpInfo(ApiHostNameList body)` Decommission the given hosts.
    `ApiCommand` | `hostsOfflineOrDecommissionCommand(BigDecimal offlineTimeout, ApiHostNameList body)` Decommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsOfflineOrDecommissionCommandAsync(BigDecimal offlineTimeout, ApiHostNameList body, ApiCallback<ApiCommand> callback)` Decommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsOfflineOrDecommissionCommandCall(BigDecimal offlineTimeout, ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsOfflineOrDecommissionCommand
    `ApiResponse<ApiCommand>` | `hostsOfflineOrDecommissionCommandWithHttpInfo(BigDecimal offlineTimeout, ApiHostNameList body)` Decommission the given hosts.
    `ApiCommand` | `hostsPerfInspectorCommand(ApiHostsPerfInspectorArgs body)` Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
    `com.squareup.okhttp.Call` | `hostsPerfInspectorCommandAsync(ApiHostsPerfInspectorArgs body, ApiCallback<ApiCommand> callback)` Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
    `com.squareup.okhttp.Call` | `hostsPerfInspectorCommandCall(ApiHostsPerfInspectorArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsPerfInspectorCommand
    `ApiResponse<ApiCommand>` | `hostsPerfInspectorCommandWithHttpInfo(ApiHostsPerfInspectorArgs body)` Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
    `ApiCommand` | `hostsRecommissionAndExitMaintenanceModeCommand(String recommissionType, ApiHostNameList body)` Recommission and exit maintenance on the given hosts.
    `com.squareup.okhttp.Call` | `hostsRecommissionAndExitMaintenanceModeCommandAsync(String recommissionType, ApiHostNameList body, ApiCallback<ApiCommand> callback)` Recommission and exit maintenance on the given hosts.
    `com.squareup.okhttp.Call` | `hostsRecommissionAndExitMaintenanceModeCommandCall(String recommissionType, ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsRecommissionAndExitMaintenanceModeCommand
    `ApiResponse<ApiCommand>` | `hostsRecommissionAndExitMaintenanceModeCommandWithHttpInfo(String recommissionType, ApiHostNameList body)` Recommission and exit maintenance on the given hosts.
    `ApiCommand` | `hostsRecommissionCommand(ApiHostNameList body)` Recommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsRecommissionCommandAsync(ApiHostNameList body, ApiCallback<ApiCommand> callback)` Recommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsRecommissionCommandCall(ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsRecommissionCommand
    `ApiResponse<ApiCommand>` | `hostsRecommissionCommandWithHttpInfo(ApiHostNameList body)` Recommission the given hosts.
    `ApiCommand` | `hostsRecommissionWithStartCommand(ApiHostNameList body)` Recommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsRecommissionWithStartCommandAsync(ApiHostNameList body, ApiCallback<ApiCommand> callback)` Recommission the given hosts.
    `com.squareup.okhttp.Call` | `hostsRecommissionWithStartCommandCall(ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsRecommissionWithStartCommand
    `ApiResponse<ApiCommand>` | `hostsRecommissionWithStartCommandWithHttpInfo(ApiHostNameList body)` Recommission the given hosts.
    `ApiCommand` | `hostsStartRolesCommand(ApiHostNameList body)` Start all the roles on the given hosts.
    `com.squareup.okhttp.Call` | `hostsStartRolesCommandAsync(ApiHostNameList body, ApiCallback<ApiCommand> callback)` Start all the roles on the given hosts.
    `com.squareup.okhttp.Call` | `hostsStartRolesCommandCall(ApiHostNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for hostsStartRolesCommand
    `ApiResponse<ApiCommand>` | `hostsStartRolesCommandWithHttpInfo(ApiHostNameList body)` Start all the roles on the given hosts.
    `ApiCommand` | `importAdminCredentials(String password, String username)` Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services.
    `com.squareup.okhttp.Call` | `importAdminCredentialsAsync(String password, String username, ApiCallback<ApiCommand> callback)` Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services.
    `com.squareup.okhttp.Call` | `importAdminCredentialsCall(String password, String username, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for importAdminCredentials
    `ApiResponse<ApiCommand>` | `importAdminCredentialsWithHttpInfo(String password, String username)` Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services.
    `ApiCommand` | `importClusterTemplate(Boolean addRepositories, ApiClusterTemplate body)` Create cluster as per the given cluster template.
    `com.squareup.okhttp.Call` | `importClusterTemplateAsync(Boolean addRepositories, ApiClusterTemplate body, ApiCallback<ApiCommand> callback)` Create cluster as per the given cluster template.
    `com.squareup.okhttp.Call` | `importClusterTemplateCall(Boolean addRepositories, ApiClusterTemplate body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for importClusterTemplate
    `ApiResponse<ApiCommand>` | `importClusterTemplateWithHttpInfo(Boolean addRepositories, ApiClusterTemplate body)` Create cluster as per the given cluster template.
    `ApiCommand` | `importKerberosPrincipal(BigDecimal kvno, String password, String principal)` Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command.
    `com.squareup.okhttp.Call` | `importKerberosPrincipalAsync(BigDecimal kvno, String password, String principal, ApiCallback<ApiCommand> callback)` Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command.
    `com.squareup.okhttp.Call` | `importKerberosPrincipalCall(BigDecimal kvno, String password, String principal, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for importKerberosPrincipal
    `ApiResponse<ApiCommand>` | `importKerberosPrincipalWithHttpInfo(BigDecimal kvno, String password, String principal)` Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command.
    `ApiCommand` | `inspectHostsCommand()` Runs the host inspector on the configured hosts.
    `com.squareup.okhttp.Call` | `inspectHostsCommandAsync(ApiCallback<ApiCommand> callback)` Runs the host inspector on the configured hosts.
    `com.squareup.okhttp.Call` | `inspectHostsCommandCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for inspectHostsCommand
    `ApiResponse<ApiCommand>` | `inspectHostsCommandWithHttpInfo()` Runs the host inspector on the configured hosts.
    `ApiCommandList` | `listActiveCommands(String view)` List active global commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsAsync(String view, ApiCallback<ApiCommandList> callback)` List active global commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsCall(String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listActiveCommands
    `ApiResponse<ApiCommandList>` | `listActiveCommandsWithHttpInfo(String view)` List active global commands.
    `ApiCommand` | `migrateCmcaToDb()` Migrate CMCA to the DB.
    `com.squareup.okhttp.Call` | `migrateCmcaToDbAsync(ApiCallback<ApiCommand> callback)` Migrate CMCA to the DB.
    `com.squareup.okhttp.Call` | `migrateCmcaToDbCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for migrateCmcaToDb
    `ApiResponse<ApiCommand>` | `migrateCmcaToDbWithHttpInfo()` Migrate CMCA to the DB.
    `ApiCmServer` | `readInstance(String cmServerId)` Retrieves the CM server information.
    `com.squareup.okhttp.Call` | `readInstanceAsync(String cmServerId, ApiCallback<ApiCmServer> callback)` Retrieves the CM server information.
    `com.squareup.okhttp.Call` | `readInstanceCall(String cmServerId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readInstance
    `ApiCmServerList` | `readInstances()` Retrieves all CM server information.
    `com.squareup.okhttp.Call` | `readInstancesAsync(ApiCallback<ApiCmServerList> callback)` Retrieves all CM server information.
    `com.squareup.okhttp.Call` | `readInstancesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readInstances
    `ApiResponse<ApiCmServerList>` | `readInstancesWithHttpInfo()` Retrieves all CM server information.
    `ApiResponse<ApiCmServer>` | `readInstanceWithHttpInfo(String cmServerId)` Retrieves the CM server information.
    `ApiLicense` | `readLicense()` Retrieve information about the Cloudera Manager license.
    `com.squareup.okhttp.Call` | `readLicenseAsync(ApiCallback<ApiLicense> callback)` Retrieve information about the Cloudera Manager license.
    `com.squareup.okhttp.Call` | `readLicenseCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readLicense
    `ApiResponse<ApiLicense>` | `readLicenseWithHttpInfo()` Retrieve information about the Cloudera Manager license.
    `ApiCommand` | `refreshParcelRepos()` .
    `com.squareup.okhttp.Call` | `refreshParcelReposAsync(ApiCallback<ApiCommand> callback)` .
    `com.squareup.okhttp.Call` | `refreshParcelReposCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for refreshParcelRepos
    `ApiResponse<ApiCommand>` | `refreshParcelReposWithHttpInfo()` .
    `File` | `retrieveKeytab(ApiPrincipalList body)` Retrieves a keytab for a list of principals.
    `com.squareup.okhttp.Call` | `retrieveKeytabAsync(ApiPrincipalList body, ApiCallback<File> callback)` Retrieves a keytab for a list of principals.
    `com.squareup.okhttp.Call` | `retrieveKeytabCall(ApiPrincipalList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for retrieveKeytab
    `ApiResponse<File>` | `retrieveKeytabWithHttpInfo(ApiPrincipalList body)` Retrieves a keytab for a list of principals.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `testExternalAuthentication(ApiTestCmExternalAuthArguments body)` Launches a command to test the currently configured external authentication.
    `com.squareup.okhttp.Call` | `testExternalAuthenticationAsync(ApiTestCmExternalAuthArguments body, ApiCallback<ApiCommand> callback)` Launches a command to test the currently configured external authentication.
    `com.squareup.okhttp.Call` | `testExternalAuthenticationCall(ApiTestCmExternalAuthArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for testExternalAuthentication
    `ApiResponse<ApiCommand>` | `testExternalAuthenticationWithHttpInfo(ApiTestCmExternalAuthArguments body)` Launches a command to test the currently configured external authentication.
    `ApiConfigList` | `updateConfig(String message, ApiConfigList body)` Update the Cloudera Manager settings.
    `com.squareup.okhttp.Call` | `updateConfigAsync(String message, ApiConfigList body, ApiCallback<ApiConfigList> callback)` Update the Cloudera Manager settings.
    `com.squareup.okhttp.Call` | `updateConfigCall(String message, ApiConfigList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateConfig
    `ApiResponse<ApiConfigList>` | `updateConfigWithHttpInfo(String message, ApiConfigList body)` Update the Cloudera Manager settings.
    `ApiCommand` | `updateCspType(ApiUpdateCspTypeArguments body)` Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type.
    `com.squareup.okhttp.Call` | `updateCspTypeAsync(ApiUpdateCspTypeArguments body, ApiCallback<ApiCommand> callback)` Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type.
    `com.squareup.okhttp.Call` | `updateCspTypeCall(ApiUpdateCspTypeArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateCspType
    `ApiResponse<ApiCommand>` | `updateCspTypeWithHttpInfo(ApiUpdateCspTypeArguments body)` Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type.
    `ApiDeployment2` | `updateDeployment2(Boolean deleteCurrentDeployment, ApiDeployment2 body)` Apply the supplied deployment description to the system.
    `com.squareup.okhttp.Call` | `updateDeployment2Async(Boolean deleteCurrentDeployment, ApiDeployment2 body, ApiCallback<ApiDeployment2> callback)` Apply the supplied deployment description to the system.
    `com.squareup.okhttp.Call` | `updateDeployment2Call(Boolean deleteCurrentDeployment, ApiDeployment2 body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateDeployment2
    `ApiResponse<ApiDeployment2>` | `updateDeployment2WithHttpInfo(Boolean deleteCurrentDeployment, ApiDeployment2 body)` Apply the supplied deployment description to the system.
    `ApiCommand` | `updateGlobalTruststore(ApiUpdateGlobalTruststoreArguments body)` Add/remove certificates to the Auto-TLS certificate truststore.
    `com.squareup.okhttp.Call` | `updateGlobalTruststoreAsync(ApiUpdateGlobalTruststoreArguments body, ApiCallback<ApiCommand> callback)` Add/remove certificates to the Auto-TLS certificate truststore.
    `com.squareup.okhttp.Call` | `updateGlobalTruststoreCall(ApiUpdateGlobalTruststoreArguments body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateGlobalTruststore
    `ApiResponse<ApiCommand>` | `updateGlobalTruststoreWithHttpInfo(ApiUpdateGlobalTruststoreArguments body)` Add/remove certificates to the Auto-TLS certificate truststore.
    `ApiLicense` | `updateLicense(File license)` Updates the Cloudera Manager license.
    `com.squareup.okhttp.Call` | `updateLicenseAsync(File license, ApiCallback<ApiLicense> callback)` Updates the Cloudera Manager license.
    `com.squareup.okhttp.Call` | `updateLicenseCall(File license, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateLicense
    `ApiResponse<ApiLicense>` | `updateLicenseWithHttpInfo(File license)` Updates the Cloudera Manager license.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClouderaManagerResourceApi

          public ClouderaManagerResourceApi()

    - #### ClouderaManagerResourceApi

          public ClouderaManagerResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addCustomCertsCall

          public com.squareup.okhttp.Call addCustomCertsCall(ApiAddCustomCertsArguments body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for addCustomCerts
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addCustomCerts

          public ApiCommand addCustomCerts(ApiAddCustomCertsArguments body)
                                    throws ApiException

      Add custom certificates to the Auto-TLS certificate database. Add custom certificates to the Auto-TLS certificate database
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addCustomCertsWithHttpInfo

          public ApiResponse<ApiCommand> addCustomCertsWithHttpInfo(ApiAddCustomCertsArguments body)
                                                             throws ApiException

      Add custom certificates to the Auto-TLS certificate database. Add custom certificates to the Auto-TLS certificate database
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addCustomCertsAsync

          public com.squareup.okhttp.Call addCustomCertsAsync(ApiAddCustomCertsArguments body,
                                                              ApiCallback<ApiCommand> callback)
                                                       throws ApiException

      Add custom certificates to the Auto-TLS certificate database. (asynchronously) Add custom certificates to the Auto-TLS certificate database
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### beginTrialCall

          public com.squareup.okhttp.Call beginTrialCall(ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for beginTrial
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### beginTrial

          public void beginTrial()
                          throws ApiException

      Begin trial license. Begin trial license.
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### beginTrialWithHttpInfo

          public ApiResponse<Void> beginTrialWithHttpInfo()
                                                   throws ApiException

      Begin trial license. Begin trial license.
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### beginTrialAsync

          public com.squareup.okhttp.Call beginTrialAsync(ApiCallback<Void> callback)
                                                   throws ApiException

      Begin trial license. (asynchronously) Begin trial license.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### clustersPerfInspectorCommandCall

          public com.squareup.okhttp.Call clustersPerfInspectorCommandCall(ApiClustersPerfInspectorArgs body,
                                                                           ProgressResponseBody.ProgressListener progressListener,
                                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                    throws ApiException

      Build call for clustersPerfInspectorCommand
      Parameters:
        `body` - Required arguments for the command. See ApiClustersPerfInspectorArgs. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### clustersPerfInspectorCommand

          public ApiCommand clustersPerfInspectorCommand(ApiClustersPerfInspectorArgs body)
                                                  throws ApiException

      Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator. Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
      Parameters:
        `body` - Required arguments for the command. See ApiClustersPerfInspectorArgs. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### clustersPerfInspectorCommandWithHttpInfo

          public ApiResponse<ApiCommand> clustersPerfInspectorCommandWithHttpInfo(ApiClustersPerfInspectorArgs body)
                                                                           throws ApiException

      Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator. Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
      Parameters:
        `body` - Required arguments for the command. See ApiClustersPerfInspectorArgs. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### clustersPerfInspectorCommandAsync

          public com.squareup.okhttp.Call clustersPerfInspectorCommandAsync(ApiClustersPerfInspectorArgs body,
                                                                            ApiCallback<ApiCommand> callback)
                                                                     throws ApiException

      Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator. (asynchronously) Run performance diagnostics test against specified clusters in ApiClustersPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
      Parameters:
        `body` - Required arguments for the command. See ApiClustersPerfInspectorArgs. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### collectDiagnosticDataCommandCall

          public com.squareup.okhttp.Call collectDiagnosticDataCommandCall(ApiCollectDiagnosticDataArguments body,
                                                                           ProgressResponseBody.ProgressListener progressListener,
                                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                    throws ApiException

      Build call for collectDiagnosticDataCommand
      Parameters:
        `body` - The command arguments. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### collectDiagnosticDataCommand

          public ApiCommand collectDiagnosticDataCommand(ApiCollectDiagnosticDataArguments body)
                                                  throws ApiException

      Collect diagnostic data from hosts managed by Cloudera Manager. Collect diagnostic data from hosts managed by Cloudera Manager. <p> After the command has completed, the ApiCommand will contain a resultDataUrl from where you can download the result. <p/> Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `body` - The command arguments. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### collectDiagnosticDataCommandWithHttpInfo

          public ApiResponse<ApiCommand> collectDiagnosticDataCommandWithHttpInfo(ApiCollectDiagnosticDataArguments body)
                                                                           throws ApiException

      Collect diagnostic data from hosts managed by Cloudera Manager. Collect diagnostic data from hosts managed by Cloudera Manager. <p> After the command has completed, the ApiCommand will contain a resultDataUrl from where you can download the result. <p/> Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `body` - The command arguments. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### collectDiagnosticDataCommandAsync

          public com.squareup.okhttp.Call collectDiagnosticDataCommandAsync(ApiCollectDiagnosticDataArguments body,
                                                                            ApiCallback<ApiCommand> callback)
                                                                     throws ApiException

      Collect diagnostic data from hosts managed by Cloudera Manager. (asynchronously) Collect diagnostic data from hosts managed by Cloudera Manager. <p> After the command has completed, the ApiCommand will contain a resultDataUrl from where you can download the result. <p/> Only available with Cloudera Manager Enterprise Edition.
      Parameters:
        `body` - The command arguments. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteCredentialsCommandCall

          public com.squareup.okhttp.Call deleteCredentialsCommandCall(String deleteCredentialsMode,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for deleteCredentialsCommand
      Parameters:
        `deleteCredentialsMode` - this can be set to \"all\" or \"unused\" (optional, default to all)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteCredentialsCommand

          public ApiCommand deleteCredentialsCommand(String deleteCredentialsMode)
                                              throws ApiException

      Delete existing Kerberos credentials. Delete existing Kerberos credentials. <p> This command will affect all services that have been configured to use Kerberos, and have existing credentials. In V18 this takes a new paramater to determine whether it needs to delete all credentials or just unused ones.
      Parameters:
        `deleteCredentialsMode` - this can be set to \"all\" or \"unused\" (optional, default to all)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteCredentialsCommandWithHttpInfo

          public ApiResponse<ApiCommand> deleteCredentialsCommandWithHttpInfo(String deleteCredentialsMode)
                                                                       throws ApiException

      Delete existing Kerberos credentials. Delete existing Kerberos credentials. <p> This command will affect all services that have been configured to use Kerberos, and have existing credentials. In V18 this takes a new paramater to determine whether it needs to delete all credentials or just unused ones.
      Parameters:
        `deleteCredentialsMode` - this can be set to \"all\" or \"unused\" (optional, default to all)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteCredentialsCommandAsync

          public com.squareup.okhttp.Call deleteCredentialsCommandAsync(String deleteCredentialsMode,
                                                                        ApiCallback<ApiCommand> callback)
                                                                 throws ApiException

      Delete existing Kerberos credentials. (asynchronously) Delete existing Kerberos credentials. <p> This command will affect all services that have been configured to use Kerberos, and have existing credentials. In V18 this takes a new paramater to determine whether it needs to delete all credentials or just unused ones.
      Parameters:
        `deleteCredentialsMode` - this can be set to \"all\" or \"unused\" (optional, default to all)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteInstancesCall

          public com.squareup.okhttp.Call deleteInstancesCall(ApiStringList body,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for deleteInstances
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteInstances

          public ApiCmServerList deleteInstances(ApiStringList body)
                                          throws ApiException

      Remove a list of cm servers from ha cluster. Remove a list of cm servers from ha cluster. <p> Available since API v49. Removes instances of cm server. </p>
      Parameters:
        `body` - (optional)
      Returns:
        ApiCmServerList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteInstancesWithHttpInfo

          public ApiResponse<ApiCmServerList> deleteInstancesWithHttpInfo(ApiStringList body)
                                                                   throws ApiException

      Remove a list of cm servers from ha cluster. Remove a list of cm servers from ha cluster. <p> Available since API v49. Removes instances of cm server. </p>
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCmServerList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteInstancesAsync

          public com.squareup.okhttp.Call deleteInstancesAsync(ApiStringList body,
                                                               ApiCallback<ApiCmServerList> callback)
                                                        throws ApiException

      Remove a list of cm servers from ha cluster. (asynchronously) Remove a list of cm servers from ha cluster. <p> Available since API v49. Removes instances of cm server. </p>
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### disableCspCall

          public com.squareup.okhttp.Call disableCspCall(ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for disableCsp
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### disableCsp

          public ApiCommand disableCsp()
                                throws ApiException

      Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\". Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\". This will decrypt the encrypted configurations and disable the use of Credential Storage Provider.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### disableCspWithHttpInfo

          public ApiResponse<ApiCommand> disableCspWithHttpInfo()
                                                         throws ApiException

      Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\". Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\". This will decrypt the encrypted configurations and disable the use of Credential Storage Provider.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### disableCspAsync

          public com.squareup.okhttp.Call disableCspAsync(ApiCallback<ApiCommand> callback)
                                                   throws ApiException

      Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\". (asynchronously) Disables the CSP by setting csp type to \"none\", only when currently the csp type is either \"embedded\" or \"vault\". This will decrypt the encrypted configurations and disable the use of Credential Storage Provider.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### endTrialCall

          public com.squareup.okhttp.Call endTrialCall(ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for endTrial
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### endTrial

          public void endTrial()
                        throws ApiException

      End trial license. End trial license.
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### endTrialWithHttpInfo

          public ApiResponse<Void> endTrialWithHttpInfo()
                                                 throws ApiException

      End trial license. End trial license.
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### endTrialAsync

          public com.squareup.okhttp.Call endTrialAsync(ApiCallback<Void> callback)
                                                 throws ApiException

      End trial license. (asynchronously) End trial license.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateCmcaCall

          public com.squareup.okhttp.Call generateCmcaCall(ApiGenerateCmcaArguments body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for generateCmca
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateCmca

          public ApiCommand generateCmca(ApiGenerateCmcaArguments body)
                                  throws ApiException

      Generate a CMCA. Generate a CMCA
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCmcaWithHttpInfo

          public ApiResponse<ApiCommand> generateCmcaWithHttpInfo(ApiGenerateCmcaArguments body)
                                                           throws ApiException

      Generate a CMCA. Generate a CMCA
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCmcaAsync

          public com.squareup.okhttp.Call generateCmcaAsync(ApiGenerateCmcaArguments body,
                                                            ApiCallback<ApiCommand> callback)
                                                     throws ApiException

      Generate a CMCA. (asynchronously) Generate a CMCA
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateCredentialsAdhocCall

          public com.squareup.okhttp.Call generateCredentialsAdhocCall(ApiPrincipalList body,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for generateCredentialsAdhoc
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateCredentialsAdhoc

          public ApiCommand generateCredentialsAdhoc(ApiPrincipalList body)
                                              throws ApiException

      Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well. Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well. <p> This command will affect all services that have been configured to use Kerberos, and haven't had their credentials generated yet. </p>
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCredentialsAdhocWithHttpInfo

          public ApiResponse<ApiCommand> generateCredentialsAdhocWithHttpInfo(ApiPrincipalList body)
                                                                       throws ApiException

      Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well. Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well. <p> This command will affect all services that have been configured to use Kerberos, and haven't had their credentials generated yet. </p>
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCredentialsAdhocAsync

          public com.squareup.okhttp.Call generateCredentialsAdhocAsync(ApiPrincipalList body,
                                                                        ApiCallback<ApiCommand> callback)
                                                                 throws ApiException

      Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well. (asynchronously) Generate missing Kerberos credentials, optionally accepting a list of ad-hoc credentials to generate as well. <p> This command will affect all services that have been configured to use Kerberos, and haven't had their credentials generated yet. </p>
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateCredentialsCommandCall

          public com.squareup.okhttp.Call generateCredentialsCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                  throws ApiException

      Build call for generateCredentialsCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateCredentialsCommand

          public ApiCommand generateCredentialsCommand()
                                                throws ApiException

      Generate missing Kerberos credentials. Generate missing Kerberos credentials. <p> This command will affect all services that have been configured to use Kerberos, and haven't had their credentials generated yet.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCredentialsCommandWithHttpInfo

          public ApiResponse<ApiCommand> generateCredentialsCommandWithHttpInfo()
                                                                         throws ApiException

      Generate missing Kerberos credentials. Generate missing Kerberos credentials. <p> This command will affect all services that have been configured to use Kerberos, and haven't had their credentials generated yet.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCredentialsCommandAsync

          public com.squareup.okhttp.Call generateCredentialsCommandAsync(ApiCallback<ApiCommand> callback)
                                                                   throws ApiException

      Generate missing Kerberos credentials. (asynchronously) Generate missing Kerberos credentials. <p> This command will affect all services that have been configured to use Kerberos, and haven't had their credentials generated yet.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getClusterSupportTokenListCall

          public com.squareup.okhttp.Call getClusterSupportTokenListCall(ProgressResponseBody.ProgressListener progressListener,
                                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                  throws ApiException

      Build call for getClusterSupportTokenList
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getClusterSupportTokenList

          public ApiClusterSupportTokenList getClusterSupportTokenList()
                                                                throws ApiException

      Gets the support tokens for all the clusters. Gets the support tokens for all the clusters.
      Returns:
        ApiClusterSupportTokenList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getClusterSupportTokenListWithHttpInfo

          public ApiResponse<ApiClusterSupportTokenList> getClusterSupportTokenListWithHttpInfo()
                                                                                         throws ApiException

      Gets the support tokens for all the clusters. Gets the support tokens for all the clusters.
      Returns:
        ApiResponse<ApiClusterSupportTokenList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getClusterSupportTokenListAsync

          public com.squareup.okhttp.Call getClusterSupportTokenListAsync(ApiCallback<ApiClusterSupportTokenList> callback)
                                                                   throws ApiException

      Gets the support tokens for all the clusters. (asynchronously) Gets the support tokens for all the clusters.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getConfigCall

          public com.squareup.okhttp.Call getConfigCall(String view,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for getConfig
      Parameters:
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getConfig

          public ApiConfigList getConfig(String view)
                                  throws ApiException

      Retrieve the Cloudera Manager settings. Retrieve the Cloudera Manager settings.
      Parameters:
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getConfigWithHttpInfo

          public ApiResponse<ApiConfigList> getConfigWithHttpInfo(String view)
                                                           throws ApiException

      Retrieve the Cloudera Manager settings. Retrieve the Cloudera Manager settings.
      Parameters:
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getConfigAsync

          public com.squareup.okhttp.Call getConfigAsync(String view,
                                                         ApiCallback<ApiConfigList> callback)
                                                  throws ApiException

      Retrieve the Cloudera Manager settings. (asynchronously) Retrieve the Cloudera Manager settings.
      Parameters:
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getDeployment2Call

          public com.squareup.okhttp.Call getDeployment2Call(String view,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for getDeployment2
      Parameters:
        `view` - May be one of \"export\" (default) or \"export_redacted\". The latter replaces configurations that are sensitive with the word \"REDACTED\". Other filter options are not supported. (optional, default to export)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getDeployment2

          public ApiDeployment2 getDeployment2(String view)
                                        throws ApiException

      Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc. Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc. <p/> This object can be used to reconstruct your entire deployment <p/> Note: Only users with sufficient privileges are allowed to call this. <ul> <li>Full Administrators</li> <li>Cluster Administrators (but Navigator config will be redacted)</li> </ul> <p/> Note: starting with v19, the deployment information contains a newer version of users ApiUser2 that can hold granular permissions.
      Parameters:
        `view` - May be one of \"export\" (default) or \"export_redacted\". The latter replaces configurations that are sensitive with the word \"REDACTED\". Other filter options are not supported. (optional, default to export)
      Returns:
        ApiDeployment2
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getDeployment2WithHttpInfo

          public ApiResponse<ApiDeployment2> getDeployment2WithHttpInfo(String view)
                                                                 throws ApiException

      Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc. Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc. <p/> This object can be used to reconstruct your entire deployment <p/> Note: Only users with sufficient privileges are allowed to call this. <ul> <li>Full Administrators</li> <li>Cluster Administrators (but Navigator config will be redacted)</li> </ul> <p/> Note: starting with v19, the deployment information contains a newer version of users ApiUser2 that can hold granular permissions.
      Parameters:
        `view` - May be one of \"export\" (default) or \"export_redacted\". The latter replaces configurations that are sensitive with the word \"REDACTED\". Other filter options are not supported. (optional, default to export)
      Returns:
        ApiResponse<ApiDeployment2>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getDeployment2Async

          public com.squareup.okhttp.Call getDeployment2Async(String view,
                                                              ApiCallback<ApiDeployment2> callback)
                                                       throws ApiException

      Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc. (asynchronously) Retrieve full description of the entire Cloudera Manager deployment including all hosts, clusters, services, roles, users, settings, etc. <p/> This object can be used to reconstruct your entire deployment <p/> Note: Only users with sufficient privileges are allowed to call this. <ul> <li>Full Administrators</li> <li>Cluster Administrators (but Navigator config will be redacted)</li> </ul> <p/> Note: starting with v19, the deployment information contains a newer version of users ApiUser2 that can hold granular permissions.
      Parameters:
        `view` - May be one of \"export\" (default) or \"export_redacted\". The latter replaces configurations that are sensitive with the word \"REDACTED\". Other filter options are not supported. (optional, default to export)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getKerberosInfoCall

          public com.squareup.okhttp.Call getKerberosInfoCall(ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for getKerberosInfo
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getKerberosInfo

          public ApiKerberosInfo getKerberosInfo()
                                          throws ApiException

      Provides Cloudera Manager Kerberos information. Provides Cloudera Manager Kerberos information
      Returns:
        ApiKerberosInfo
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKerberosInfoWithHttpInfo

          public ApiResponse<ApiKerberosInfo> getKerberosInfoWithHttpInfo()
                                                                   throws ApiException

      Provides Cloudera Manager Kerberos information. Provides Cloudera Manager Kerberos information
      Returns:
        ApiResponse<ApiKerberosInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKerberosInfoAsync

          public com.squareup.okhttp.Call getKerberosInfoAsync(ApiCallback<ApiKerberosInfo> callback)
                                                        throws ApiException

      Provides Cloudera Manager Kerberos information. (asynchronously) Provides Cloudera Manager Kerberos information
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getKerberosPrincipalsCall

          public com.squareup.okhttp.Call getKerberosPrincipalsCall(Boolean missingOnly,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for getKerberosPrincipals
      Parameters:
        `missingOnly` - Whether to include only those principals which do not already exist in Cloudera Manager's database. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getKerberosPrincipals

          public ApiPrincipalList getKerberosPrincipals(Boolean missingOnly)
                                                 throws ApiException

      Returns the Kerberos principals needed by the services being managed by Cloudera Manager. Returns the Kerberos principals needed by the services being managed by Cloudera Manager.
      Parameters:
        `missingOnly` - Whether to include only those principals which do not already exist in Cloudera Manager's database. (optional)
      Returns:
        ApiPrincipalList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKerberosPrincipalsWithHttpInfo

          public ApiResponse<ApiPrincipalList> getKerberosPrincipalsWithHttpInfo(Boolean missingOnly)
                                                                          throws ApiException

      Returns the Kerberos principals needed by the services being managed by Cloudera Manager. Returns the Kerberos principals needed by the services being managed by Cloudera Manager.
      Parameters:
        `missingOnly` - Whether to include only those principals which do not already exist in Cloudera Manager's database. (optional)
      Returns:
        ApiResponse<ApiPrincipalList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKerberosPrincipalsAsync

          public com.squareup.okhttp.Call getKerberosPrincipalsAsync(Boolean missingOnly,
                                                                     ApiCallback<ApiPrincipalList> callback)
                                                              throws ApiException

      Returns the Kerberos principals needed by the services being managed by Cloudera Manager. (asynchronously) Returns the Kerberos principals needed by the services being managed by Cloudera Manager.
      Parameters:
        `missingOnly` - Whether to include only those principals which do not already exist in Cloudera Manager's database. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getKrb5ConfCall

          public com.squareup.okhttp.Call getKrb5ConfCall(ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for getKrb5Conf
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getKrb5Conf

          public File getKrb5Conf()
                           throws ApiException

      Retrieves krb5. Retrieves krb5.conf of the CM server host <p> Available since API v41. </p>
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKrb5ConfWithHttpInfo

          public ApiResponse<File> getKrb5ConfWithHttpInfo()
                                                    throws ApiException

      Retrieves krb5. Retrieves krb5.conf of the CM server host <p> Available since API v41. </p>
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getKrb5ConfAsync

          public com.squareup.okhttp.Call getKrb5ConfAsync(ApiCallback<File> callback)
                                                    throws ApiException

      Retrieves krb5. (asynchronously) Retrieves krb5.conf of the CM server host <p> Available since API v41. </p>
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getLicensedFeatureUsageCall

          public com.squareup.okhttp.Call getLicensedFeatureUsageCall(ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for getLicensedFeatureUsage
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getLicensedFeatureUsage

          public ApiLicensedFeatureUsage getLicensedFeatureUsage()
                                                          throws ApiException

      Retrieve a summary of licensed feature usage. Retrieve a summary of licensed feature usage. <p/> This command will return information about what Cloudera Enterprise licensed features are in use in the clusters being managed by this Cloudera Manager, as well as totals for usage across all clusters. <p/> The specific features described can vary between different versions of Cloudera Manager. <p/> Available since API v6.
      Returns:
        ApiLicensedFeatureUsage
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getLicensedFeatureUsageWithHttpInfo

          public ApiResponse<ApiLicensedFeatureUsage> getLicensedFeatureUsageWithHttpInfo()
                                                                                   throws ApiException

      Retrieve a summary of licensed feature usage. Retrieve a summary of licensed feature usage. <p/> This command will return information about what Cloudera Enterprise licensed features are in use in the clusters being managed by this Cloudera Manager, as well as totals for usage across all clusters. <p/> The specific features described can vary between different versions of Cloudera Manager. <p/> Available since API v6.
      Returns:
        ApiResponse<ApiLicensedFeatureUsage>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getLicensedFeatureUsageAsync

          public com.squareup.okhttp.Call getLicensedFeatureUsageAsync(ApiCallback<ApiLicensedFeatureUsage> callback)
                                                                throws ApiException

      Retrieve a summary of licensed feature usage. (asynchronously) Retrieve a summary of licensed feature usage. <p/> This command will return information about what Cloudera Enterprise licensed features are in use in the clusters being managed by this Cloudera Manager, as well as totals for usage across all clusters. <p/> The specific features described can vary between different versions of Cloudera Manager. <p/> Available since API v6.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getLogCall

          public com.squareup.okhttp.Call getLogCall(ProgressResponseBody.ProgressListener progressListener,
                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                              throws ApiException

      Build call for getLog
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getLog

          public String getLog()
                        throws ApiException

      Returns the entire contents of the Cloudera Manager log file. Returns the entire contents of the Cloudera Manager log file
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getLogWithHttpInfo

          public ApiResponse<String> getLogWithHttpInfo()
                                                 throws ApiException

      Returns the entire contents of the Cloudera Manager log file. Returns the entire contents of the Cloudera Manager log file
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getLogAsync

          public com.squareup.okhttp.Call getLogAsync(ApiCallback<String> callback)
                                               throws ApiException

      Returns the entire contents of the Cloudera Manager log file. (asynchronously) Returns the entire contents of the Cloudera Manager log file
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getScmDbInfoCall

          public com.squareup.okhttp.Call getScmDbInfoCall(ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for getScmDbInfo
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getScmDbInfo

          public ApiScmDbInfo getScmDbInfo()
                                    throws ApiException

      Provides Cloudera Manager server's database information. Provides Cloudera Manager server's database information
      Returns:
        ApiScmDbInfo
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getScmDbInfoWithHttpInfo

          public ApiResponse<ApiScmDbInfo> getScmDbInfoWithHttpInfo()
                                                             throws ApiException

      Provides Cloudera Manager server's database information. Provides Cloudera Manager server's database information
      Returns:
        ApiResponse<ApiScmDbInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getScmDbInfoAsync

          public com.squareup.okhttp.Call getScmDbInfoAsync(ApiCallback<ApiScmDbInfo> callback)
                                                     throws ApiException

      Provides Cloudera Manager server's database information. (asynchronously) Provides Cloudera Manager server's database information
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getShutdownReadinessCall

          public com.squareup.okhttp.Call getShutdownReadinessCall(String lastActivityTime,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for getShutdownReadiness
      Parameters:
        `lastActivityTime` - End time of the last known activity/workload against the managed clusters, in ISO 8601 format. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getShutdownReadiness

          public ApiShutdownReadiness getShutdownReadiness(String lastActivityTime)
                                                    throws ApiException

      Retrieve Cloudera Manager's readiness for shutdown and destroy. Retrieve Cloudera Manager's readiness for shutdown and destroy. Applications that wish to destroy Cloudera Manager and its managed cluster should poll this API, repeatedly if necessary, to respect its readiness.
      Parameters:
        `lastActivityTime` - End time of the last known activity/workload against the managed clusters, in ISO 8601 format. (optional)
      Returns:
        ApiShutdownReadiness
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getShutdownReadinessWithHttpInfo

          public ApiResponse<ApiShutdownReadiness> getShutdownReadinessWithHttpInfo(String lastActivityTime)
                                                                             throws ApiException

      Retrieve Cloudera Manager's readiness for shutdown and destroy. Retrieve Cloudera Manager's readiness for shutdown and destroy. Applications that wish to destroy Cloudera Manager and its managed cluster should poll this API, repeatedly if necessary, to respect its readiness.
      Parameters:
        `lastActivityTime` - End time of the last known activity/workload against the managed clusters, in ISO 8601 format. (optional)
      Returns:
        ApiResponse<ApiShutdownReadiness>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getShutdownReadinessAsync

          public com.squareup.okhttp.Call getShutdownReadinessAsync(String lastActivityTime,
                                                                    ApiCallback<ApiShutdownReadiness> callback)
                                                             throws ApiException

      Retrieve Cloudera Manager's readiness for shutdown and destroy. (asynchronously) Retrieve Cloudera Manager's readiness for shutdown and destroy. Applications that wish to destroy Cloudera Manager and its managed cluster should poll this API, repeatedly if necessary, to respect its readiness.
      Parameters:
        `lastActivityTime` - End time of the last known activity/workload against the managed clusters, in ISO 8601 format. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getVersionCall

          public com.squareup.okhttp.Call getVersionCall(ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for getVersion
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getVersion

          public ApiVersionInfo getVersion()
                                    throws ApiException

      Provides version information of Cloudera Manager itself. Provides version information of Cloudera Manager itself.
      Returns:
        ApiVersionInfo
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getVersionWithHttpInfo

          public ApiResponse<ApiVersionInfo> getVersionWithHttpInfo()
                                                             throws ApiException

      Provides version information of Cloudera Manager itself. Provides version information of Cloudera Manager itself.
      Returns:
        ApiResponse<ApiVersionInfo>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getVersionAsync

          public com.squareup.okhttp.Call getVersionAsync(ApiCallback<ApiVersionInfo> callback)
                                                   throws ApiException

      Provides version information of Cloudera Manager itself. (asynchronously) Provides version information of Cloudera Manager itself.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostInstallCommandCall

          public com.squareup.okhttp.Call hostInstallCommandCall(ApiHostInstallArguments body,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for hostInstallCommand
      Parameters:
        `body` - Hosts to perform installation on (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostInstallCommand

          public ApiCommand hostInstallCommand(ApiHostInstallArguments body)
                                        throws ApiException

      Perform installation on a set of hosts. Perform installation on a set of hosts. <p/> This command installs Cloudera Manager Agent on a set of hosts. <p/> Available since API v6.
      Parameters:
        `body` - Hosts to perform installation on (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostInstallCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostInstallCommandWithHttpInfo(ApiHostInstallArguments body)
                                                                 throws ApiException

      Perform installation on a set of hosts. Perform installation on a set of hosts. <p/> This command installs Cloudera Manager Agent on a set of hosts. <p/> Available since API v6.
      Parameters:
        `body` - Hosts to perform installation on (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostInstallCommandAsync

          public com.squareup.okhttp.Call hostInstallCommandAsync(ApiHostInstallArguments body,
                                                                  ApiCallback<ApiCommand> callback)
                                                           throws ApiException

      Perform installation on a set of hosts. (asynchronously) Perform installation on a set of hosts. <p/> This command installs Cloudera Manager Agent on a set of hosts. <p/> Available since API v6.
      Parameters:
        `body` - Hosts to perform installation on (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsDecommissionCommandCall

          public com.squareup.okhttp.Call hostsDecommissionCommandCall(ApiHostNameList body,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for hostsDecommissionCommand
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsDecommissionCommand

          public ApiCommand hostsDecommissionCommand(ApiHostNameList body)
                                              throws ApiException

      Decommission the given hosts. Decommission the given hosts. All slave roles on the hosts will be decommissioned. All other roles will be stopped. <p> To offline by Upgrade Domain, use the “upgradeDomains” endpoint from the clusters resource to get the list of host names that belong in each Upgrade Domain. Available since API v40.
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsDecommissionCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsDecommissionCommandWithHttpInfo(ApiHostNameList body)
                                                                       throws ApiException

      Decommission the given hosts. Decommission the given hosts. All slave roles on the hosts will be decommissioned. All other roles will be stopped. <p> To offline by Upgrade Domain, use the “upgradeDomains” endpoint from the clusters resource to get the list of host names that belong in each Upgrade Domain. Available since API v40.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsDecommissionCommandAsync

          public com.squareup.okhttp.Call hostsDecommissionCommandAsync(ApiHostNameList body,
                                                                        ApiCallback<ApiCommand> callback)
                                                                 throws ApiException

      Decommission the given hosts. (asynchronously) Decommission the given hosts. All slave roles on the hosts will be decommissioned. All other roles will be stopped. <p> To offline by Upgrade Domain, use the “upgradeDomains” endpoint from the clusters resource to get the list of host names that belong in each Upgrade Domain. Available since API v40.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsOfflineOrDecommissionCommandCall

          public com.squareup.okhttp.Call hostsOfflineOrDecommissionCommandCall(BigDecimal offlineTimeout,
                                                                                ApiHostNameList body,
                                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                         throws ApiException

      Build call for hostsOfflineOrDecommissionCommand
      Parameters:
        `offlineTimeout` - offline timeout in seconds. Specify as null to get the default timeout (4 hours). Ignored if service does not support he offline operation. (optional)
        `body` - list of host names to decommission. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsOfflineOrDecommissionCommand

          public ApiCommand hostsOfflineOrDecommissionCommand(BigDecimal offlineTimeout,
                                                              ApiHostNameList body)
                                                       throws ApiException

      Decommission the given hosts. Decommission the given hosts. All slave roles on the hosts will be offlined or decommissioned with preference being offlined if supported by the service. <p> Currently the offline operation is only supported by HDFS, where the offline operation will put DataNodes into <em>HDFS IN MAINTENANCE</em> state which prevents unnecessary re-replication which could occur if decommissioned. <p> All other roles on the hosts will be stopped. <p> The <em>offlineTimeout</em> parameter is used to specify a timeout for offline. For HDFS, when the timeout expires, the DataNode will automatically transition out of <em>HDFS IN MAINTENANCE</em> state, back to <em>HDFS IN SERVICE</em> state. <p> To offline or decommission by Upgrade Domain, use the “upgradeDomains” endpoint from the clusters resource to get the list of host names that belong in each Upgrade Domain. Available since API v40.
      Parameters:
        `offlineTimeout` - offline timeout in seconds. Specify as null to get the default timeout (4 hours). Ignored if service does not support he offline operation. (optional)
        `body` - list of host names to decommission. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsOfflineOrDecommissionCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsOfflineOrDecommissionCommandWithHttpInfo(BigDecimal offlineTimeout,
                                                                                       ApiHostNameList body)
                                                                                throws ApiException

      Decommission the given hosts. Decommission the given hosts. All slave roles on the hosts will be offlined or decommissioned with preference being offlined if supported by the service. <p> Currently the offline operation is only supported by HDFS, where the offline operation will put DataNodes into <em>HDFS IN MAINTENANCE</em> state which prevents unnecessary re-replication which could occur if decommissioned. <p> All other roles on the hosts will be stopped. <p> The <em>offlineTimeout</em> parameter is used to specify a timeout for offline. For HDFS, when the timeout expires, the DataNode will automatically transition out of <em>HDFS IN MAINTENANCE</em> state, back to <em>HDFS IN SERVICE</em> state. <p> To offline or decommission by Upgrade Domain, use the “upgradeDomains” endpoint from the clusters resource to get the list of host names that belong in each Upgrade Domain. Available since API v40.
      Parameters:
        `offlineTimeout` - offline timeout in seconds. Specify as null to get the default timeout (4 hours). Ignored if service does not support he offline operation. (optional)
        `body` - list of host names to decommission. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsOfflineOrDecommissionCommandAsync

          public com.squareup.okhttp.Call hostsOfflineOrDecommissionCommandAsync(BigDecimal offlineTimeout,
                                                                                 ApiHostNameList body,
                                                                                 ApiCallback<ApiCommand> callback)
                                                                          throws ApiException

      Decommission the given hosts. (asynchronously) Decommission the given hosts. All slave roles on the hosts will be offlined or decommissioned with preference being offlined if supported by the service. <p> Currently the offline operation is only supported by HDFS, where the offline operation will put DataNodes into <em>HDFS IN MAINTENANCE</em> state which prevents unnecessary re-replication which could occur if decommissioned. <p> All other roles on the hosts will be stopped. <p> The <em>offlineTimeout</em> parameter is used to specify a timeout for offline. For HDFS, when the timeout expires, the DataNode will automatically transition out of <em>HDFS IN MAINTENANCE</em> state, back to <em>HDFS IN SERVICE</em> state. <p> To offline or decommission by Upgrade Domain, use the “upgradeDomains” endpoint from the clusters resource to get the list of host names that belong in each Upgrade Domain. Available since API v40.
      Parameters:
        `offlineTimeout` - offline timeout in seconds. Specify as null to get the default timeout (4 hours). Ignored if service does not support he offline operation. (optional)
        `body` - list of host names to decommission. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsPerfInspectorCommandCall

          public com.squareup.okhttp.Call hostsPerfInspectorCommandCall(ApiHostsPerfInspectorArgs body,
                                                                        ProgressResponseBody.ProgressListener progressListener,
                                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                 throws ApiException

      Build call for hostsPerfInspectorCommand
      Parameters:
        `body` - Required arguments for the command. See ApiHostsPerfInspectorArgs. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsPerfInspectorCommand

          public ApiCommand hostsPerfInspectorCommand(ApiHostsPerfInspectorArgs body)
                                               throws ApiException

      Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator. Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
      Parameters:
        `body` - Required arguments for the command. See ApiHostsPerfInspectorArgs. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsPerfInspectorCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsPerfInspectorCommandWithHttpInfo(ApiHostsPerfInspectorArgs body)
                                                                        throws ApiException

      Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator. Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
      Parameters:
        `body` - Required arguments for the command. See ApiHostsPerfInspectorArgs. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsPerfInspectorCommandAsync

          public com.squareup.okhttp.Call hostsPerfInspectorCommandAsync(ApiHostsPerfInspectorArgs body,
                                                                         ApiCallback<ApiCommand> callback)
                                                                  throws ApiException

      Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator. (asynchronously) Run performance diagnostics test against specified hosts in ApiHostsPerfInspectorArgs User must be Full Administrator or Global Cluster Administrator.
      Parameters:
        `body` - Required arguments for the command. See ApiHostsPerfInspectorArgs. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsRecommissionAndExitMaintenanceModeCommandCall

          public com.squareup.okhttp.Call hostsRecommissionAndExitMaintenanceModeCommandCall(String recommissionType,
                                                                                             ApiHostNameList body,
                                                                                             ProgressResponseBody.ProgressListener progressListener,
                                                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                                      throws ApiException

      Build call for hostsRecommissionAndExitMaintenanceModeCommand
      Parameters:
        `recommissionType` - (optional, default to recommission)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsRecommissionAndExitMaintenanceModeCommand

          public ApiCommand hostsRecommissionAndExitMaintenanceModeCommand(String recommissionType,
                                                                           ApiHostNameList body)
                                                                    throws ApiException

      Recommission and exit maintenance on the given hosts. Recommission and exit maintenance on the given hosts. The recommission step may optionally start roles as well.
      Parameters:
        `recommissionType` - (optional, default to recommission)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsRecommissionAndExitMaintenanceModeCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsRecommissionAndExitMaintenanceModeCommandWithHttpInfo(String recommissionType,
                                                                                                    ApiHostNameList body)
                                                                                             throws ApiException

      Recommission and exit maintenance on the given hosts. Recommission and exit maintenance on the given hosts. The recommission step may optionally start roles as well.
      Parameters:
        `recommissionType` - (optional, default to recommission)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsRecommissionAndExitMaintenanceModeCommandAsync

          public com.squareup.okhttp.Call hostsRecommissionAndExitMaintenanceModeCommandAsync(String recommissionType,
                                                                                              ApiHostNameList body,
                                                                                              ApiCallback<ApiCommand> callback)
                                                                                       throws ApiException

      Recommission and exit maintenance on the given hosts. (asynchronously) Recommission and exit maintenance on the given hosts. The recommission step may optionally start roles as well.
      Parameters:
        `recommissionType` - (optional, default to recommission)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsRecommissionCommandCall

          public com.squareup.okhttp.Call hostsRecommissionCommandCall(ApiHostNameList body,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for hostsRecommissionCommand
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsRecommissionCommand

          public ApiCommand hostsRecommissionCommand(ApiHostNameList body)
                                              throws ApiException

      Recommission the given hosts. Recommission the given hosts. All slave roles on the hosts will be recommissioned. Roles are not started after this command. Use hostsStartRoles command for that.
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsRecommissionCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsRecommissionCommandWithHttpInfo(ApiHostNameList body)
                                                                       throws ApiException

      Recommission the given hosts. Recommission the given hosts. All slave roles on the hosts will be recommissioned. Roles are not started after this command. Use hostsStartRoles command for that.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsRecommissionCommandAsync

          public com.squareup.okhttp.Call hostsRecommissionCommandAsync(ApiHostNameList body,
                                                                        ApiCallback<ApiCommand> callback)
                                                                 throws ApiException

      Recommission the given hosts. (asynchronously) Recommission the given hosts. All slave roles on the hosts will be recommissioned. Roles are not started after this command. Use hostsStartRoles command for that.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsRecommissionWithStartCommandCall

          public com.squareup.okhttp.Call hostsRecommissionWithStartCommandCall(ApiHostNameList body,
                                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                         throws ApiException

      Build call for hostsRecommissionWithStartCommand
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsRecommissionWithStartCommand

          public ApiCommand hostsRecommissionWithStartCommand(ApiHostNameList body)
                                                       throws ApiException

      Recommission the given hosts. Recommission the given hosts. If slave roles support start when decommissioned, start those roles before recommission. All slave roles on the hosts will be recommissioned. Warning: Evolving. This method may change in the future and does not offer standard compatibility guarantees. Recommission the given hosts. If possible, start those roles before recommission. All slave roles on the hosts will be recommissioned. Do not use without guidance from Cloudera. Currently, only HDFS DataNodes will be started by this command.
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsRecommissionWithStartCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsRecommissionWithStartCommandWithHttpInfo(ApiHostNameList body)
                                                                                throws ApiException

      Recommission the given hosts. Recommission the given hosts. If slave roles support start when decommissioned, start those roles before recommission. All slave roles on the hosts will be recommissioned. Warning: Evolving. This method may change in the future and does not offer standard compatibility guarantees. Recommission the given hosts. If possible, start those roles before recommission. All slave roles on the hosts will be recommissioned. Do not use without guidance from Cloudera. Currently, only HDFS DataNodes will be started by this command.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsRecommissionWithStartCommandAsync

          public com.squareup.okhttp.Call hostsRecommissionWithStartCommandAsync(ApiHostNameList body,
                                                                                 ApiCallback<ApiCommand> callback)
                                                                          throws ApiException

      Recommission the given hosts. (asynchronously) Recommission the given hosts. If slave roles support start when decommissioned, start those roles before recommission. All slave roles on the hosts will be recommissioned. Warning: Evolving. This method may change in the future and does not offer standard compatibility guarantees. Recommission the given hosts. If possible, start those roles before recommission. All slave roles on the hosts will be recommissioned. Do not use without guidance from Cloudera. Currently, only HDFS DataNodes will be started by this command.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### hostsStartRolesCommandCall

          public com.squareup.okhttp.Call hostsStartRolesCommandCall(ApiHostNameList body,
                                                                     ProgressResponseBody.ProgressListener progressListener,
                                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                              throws ApiException

      Build call for hostsStartRolesCommand
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### hostsStartRolesCommand

          public ApiCommand hostsStartRolesCommand(ApiHostNameList body)
                                            throws ApiException

      Start all the roles on the given hosts. Start all the roles on the given hosts.
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsStartRolesCommandWithHttpInfo

          public ApiResponse<ApiCommand> hostsStartRolesCommandWithHttpInfo(ApiHostNameList body)
                                                                     throws ApiException

      Start all the roles on the given hosts. Start all the roles on the given hosts.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### hostsStartRolesCommandAsync

          public com.squareup.okhttp.Call hostsStartRolesCommandAsync(ApiHostNameList body,
                                                                      ApiCallback<ApiCommand> callback)
                                                               throws ApiException

      Start all the roles on the given hosts. (asynchronously) Start all the roles on the given hosts.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### importAdminCredentialsCall

          public com.squareup.okhttp.Call importAdminCredentialsCall(String password,
                                                                     String username,
                                                                     ProgressResponseBody.ProgressListener progressListener,
                                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                              throws ApiException

      Build call for importAdminCredentials
      Parameters:
        `password` - Password for the Account Manager. return Information about the submitted command. (optional)
        `username` - Username of the Account Manager. Full name including the Kerberos realm must be specified. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### importAdminCredentials

          public ApiCommand importAdminCredentials(String password,
                                                   String username)
                                            throws ApiException

      Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services. Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services.
      Parameters:
        `password` - Password for the Account Manager. return Information about the submitted command. (optional)
        `username` - Username of the Account Manager. Full name including the Kerberos realm must be specified. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### importAdminCredentialsWithHttpInfo

          public ApiResponse<ApiCommand> importAdminCredentialsWithHttpInfo(String password,
                                                                            String username)
                                                                     throws ApiException

      Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services. Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services.
      Parameters:
        `password` - Password for the Account Manager. return Information about the submitted command. (optional)
        `username` - Username of the Account Manager. Full name including the Kerberos realm must be specified. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### importAdminCredentialsAsync

          public com.squareup.okhttp.Call importAdminCredentialsAsync(String password,
                                                                      String username,
                                                                      ApiCallback<ApiCommand> callback)
                                                               throws ApiException

      Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services. (asynchronously) Imports the KDC Account Manager credentials needed by Cloudera Manager to create kerberos principals needed by CDH services.
      Parameters:
        `password` - Password for the Account Manager. return Information about the submitted command. (optional)
        `username` - Username of the Account Manager. Full name including the Kerberos realm must be specified. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### importClusterTemplateCall

          public com.squareup.okhttp.Call importClusterTemplateCall(Boolean addRepositories,
                                                                    ApiClusterTemplate body,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for importClusterTemplate
      Parameters:
        `addRepositories` - if true the parcels repositories in the cluster template will be added. (optional, default to false)
        `body` - cluster template (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### importClusterTemplate

          public ApiCommand importClusterTemplate(Boolean addRepositories,
                                                  ApiClusterTemplate body)
                                           throws ApiException

      Create cluster as per the given cluster template. Create cluster as per the given cluster template
      Parameters:
        `addRepositories` - if true the parcels repositories in the cluster template will be added. (optional, default to false)
        `body` - cluster template (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### importClusterTemplateWithHttpInfo

          public ApiResponse<ApiCommand> importClusterTemplateWithHttpInfo(Boolean addRepositories,
                                                                           ApiClusterTemplate body)
                                                                    throws ApiException

      Create cluster as per the given cluster template. Create cluster as per the given cluster template
      Parameters:
        `addRepositories` - if true the parcels repositories in the cluster template will be added. (optional, default to false)
        `body` - cluster template (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### importClusterTemplateAsync

          public com.squareup.okhttp.Call importClusterTemplateAsync(Boolean addRepositories,
                                                                     ApiClusterTemplate body,
                                                                     ApiCallback<ApiCommand> callback)
                                                              throws ApiException

      Create cluster as per the given cluster template. (asynchronously) Create cluster as per the given cluster template
      Parameters:
        `addRepositories` - if true the parcels repositories in the cluster template will be added. (optional, default to false)
        `body` - cluster template (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### importKerberosPrincipalCall

          public com.squareup.okhttp.Call importKerberosPrincipalCall(BigDecimal kvno,
                                                                      String password,
                                                                      String principal,
                                                                      ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for importKerberosPrincipal
      Parameters:
        `kvno` - Key-version number of the password. return Information about the submitted command. (optional)
        `password` - Password for the Kerberos principal. Cloudera Manager will encrypt the principal and password and use it when needed for a daemon. (optional)
        `principal` - Name of the principal. Full name including the Kerberos realm must be specified. If it already exists, it will be overwritten. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### importKerberosPrincipal

          public ApiCommand importKerberosPrincipal(BigDecimal kvno,
                                                    String password,
                                                    String principal)
                                             throws ApiException

      Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command. Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command.
      Parameters:
        `kvno` - Key-version number of the password. return Information about the submitted command. (optional)
        `password` - Password for the Kerberos principal. Cloudera Manager will encrypt the principal and password and use it when needed for a daemon. (optional)
        `principal` - Name of the principal. Full name including the Kerberos realm must be specified. If it already exists, it will be overwritten. (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### importKerberosPrincipalWithHttpInfo

          public ApiResponse<ApiCommand> importKerberosPrincipalWithHttpInfo(BigDecimal kvno,
                                                                             String password,
                                                                             String principal)
                                                                      throws ApiException

      Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command. Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command.
      Parameters:
        `kvno` - Key-version number of the password. return Information about the submitted command. (optional)
        `password` - Password for the Kerberos principal. Cloudera Manager will encrypt the principal and password and use it when needed for a daemon. (optional)
        `principal` - Name of the principal. Full name including the Kerberos realm must be specified. If it already exists, it will be overwritten. (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### importKerberosPrincipalAsync

          public com.squareup.okhttp.Call importKerberosPrincipalAsync(BigDecimal kvno,
                                                                       String password,
                                                                       String principal,
                                                                       ApiCallback<ApiCommand> callback)
                                                                throws ApiException

      Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command. (asynchronously) Imports the Kerberos credentials for the specified principal which can then be used to add to a role's keytab by running Generate Credentials command.
      Parameters:
        `kvno` - Key-version number of the password. return Information about the submitted command. (optional)
        `password` - Password for the Kerberos principal. Cloudera Manager will encrypt the principal and password and use it when needed for a daemon. (optional)
        `principal` - Name of the principal. Full name including the Kerberos realm must be specified. If it already exists, it will be overwritten. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### inspectHostsCommandCall

          public com.squareup.okhttp.Call inspectHostsCommandCall(ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for inspectHostsCommand
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### inspectHostsCommand

          public ApiCommand inspectHostsCommand()
                                         throws ApiException

      Runs the host inspector on the configured hosts. Runs the host inspector on the configured hosts.
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### inspectHostsCommandWithHttpInfo

          public ApiResponse<ApiCommand> inspectHostsCommandWithHttpInfo()
                                                                  throws ApiException

      Runs the host inspector on the configured hosts. Runs the host inspector on the configured hosts.
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### inspectHostsCommandAsync

          public com.squareup.okhttp.Call inspectHostsCommandAsync(ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Runs the host inspector on the configured hosts. (asynchronously) Runs the host inspector on the configured hosts.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listActiveCommandsCall

          public com.squareup.okhttp.Call listActiveCommandsCall(String view,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for listActiveCommands
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listActiveCommands

          public ApiCommandList listActiveCommands(String view)
                                            throws ApiException

      List active global commands. List active global commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> listActiveCommandsWithHttpInfo(String view)
                                                                     throws ApiException

      List active global commands. List active global commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsAsync

          public com.squareup.okhttp.Call listActiveCommandsAsync(String view,
                                                                  ApiCallback<ApiCommandList> callback)
                                                           throws ApiException

      List active global commands. (asynchronously) List active global commands.
      Parameters:
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### migrateCmcaToDbCall

          public com.squareup.okhttp.Call migrateCmcaToDbCall(ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for migrateCmcaToDb
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### migrateCmcaToDb

          public ApiCommand migrateCmcaToDb()
                                     throws ApiException

      Migrate CMCA to the DB. Migrate CMCA to the DB
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### migrateCmcaToDbWithHttpInfo

          public ApiResponse<ApiCommand> migrateCmcaToDbWithHttpInfo()
                                                              throws ApiException

      Migrate CMCA to the DB. Migrate CMCA to the DB
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### migrateCmcaToDbAsync

          public com.squareup.okhttp.Call migrateCmcaToDbAsync(ApiCallback<ApiCommand> callback)
                                                        throws ApiException

      Migrate CMCA to the DB. (asynchronously) Migrate CMCA to the DB
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readInstanceCall

          public com.squareup.okhttp.Call readInstanceCall(String cmServerId,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for readInstance
      Parameters:
        `cmServerId` - The CM server ID. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readInstance

          public ApiCmServer readInstance(String cmServerId)
                                   throws ApiException

      Retrieves the CM server information. Retrieves the CM server information. <p> Available since API v41. </p>
      Parameters:
        `cmServerId` - The CM server ID. (required)
      Returns:
        ApiCmServer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readInstanceWithHttpInfo

          public ApiResponse<ApiCmServer> readInstanceWithHttpInfo(String cmServerId)
                                                            throws ApiException

      Retrieves the CM server information. Retrieves the CM server information. <p> Available since API v41. </p>
      Parameters:
        `cmServerId` - The CM server ID. (required)
      Returns:
        ApiResponse<ApiCmServer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readInstanceAsync

          public com.squareup.okhttp.Call readInstanceAsync(String cmServerId,
                                                            ApiCallback<ApiCmServer> callback)
                                                     throws ApiException

      Retrieves the CM server information. (asynchronously) Retrieves the CM server information. <p> Available since API v41. </p>
      Parameters:
        `cmServerId` - The CM server ID. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readInstancesCall

          public com.squareup.okhttp.Call readInstancesCall(ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for readInstances
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readInstances

          public ApiCmServerList readInstances()
                                        throws ApiException

      Retrieves all CM server information. Retrieves all CM server information. <p> Available since API v41. </p>
      Returns:
        ApiCmServerList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readInstancesWithHttpInfo

          public ApiResponse<ApiCmServerList> readInstancesWithHttpInfo()
                                                                 throws ApiException

      Retrieves all CM server information. Retrieves all CM server information. <p> Available since API v41. </p>
      Returns:
        ApiResponse<ApiCmServerList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readInstancesAsync

          public com.squareup.okhttp.Call readInstancesAsync(ApiCallback<ApiCmServerList> callback)
                                                      throws ApiException

      Retrieves all CM server information. (asynchronously) Retrieves all CM server information. <p> Available since API v41. </p>
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readLicenseCall

          public com.squareup.okhttp.Call readLicenseCall(ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for readLicense
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readLicense

          public ApiLicense readLicense()
                                 throws ApiException

      Retrieve information about the Cloudera Manager license. Retrieve information about the Cloudera Manager license.
      Returns:
        ApiLicense
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readLicenseWithHttpInfo

          public ApiResponse<ApiLicense> readLicenseWithHttpInfo()
                                                          throws ApiException

      Retrieve information about the Cloudera Manager license. Retrieve information about the Cloudera Manager license.
      Returns:
        ApiResponse<ApiLicense>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readLicenseAsync

          public com.squareup.okhttp.Call readLicenseAsync(ApiCallback<ApiLicense> callback)
                                                    throws ApiException

      Retrieve information about the Cloudera Manager license. (asynchronously) Retrieve information about the Cloudera Manager license.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### refreshParcelReposCall

          public com.squareup.okhttp.Call refreshParcelReposCall(ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for refreshParcelRepos
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### refreshParcelRepos

          public ApiCommand refreshParcelRepos()
                                        throws ApiException

      . <p> Submit a command to refresh parcels information. </p> <p> This API could be used following two scenarios.<br> - User updated Cloudera Manager's local parcel repository. <br> - User updated remote parcel locations. <p> User wants to invoke this API to make sure that Cloudera Manager gets latest parcels information. User can then monitor the returned command before proceeding to the next step. </p>
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### refreshParcelReposWithHttpInfo

          public ApiResponse<ApiCommand> refreshParcelReposWithHttpInfo()
                                                                 throws ApiException

      . <p> Submit a command to refresh parcels information. </p> <p> This API could be used following two scenarios.<br> - User updated Cloudera Manager's local parcel repository. <br> - User updated remote parcel locations. <p> User wants to invoke this API to make sure that Cloudera Manager gets latest parcels information. User can then monitor the returned command before proceeding to the next step. </p>
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### refreshParcelReposAsync

          public com.squareup.okhttp.Call refreshParcelReposAsync(ApiCallback<ApiCommand> callback)
                                                           throws ApiException

      . (asynchronously) <p> Submit a command to refresh parcels information. </p> <p> This API could be used following two scenarios.<br> - User updated Cloudera Manager's local parcel repository. <br> - User updated remote parcel locations. <p> User wants to invoke this API to make sure that Cloudera Manager gets latest parcels information. User can then monitor the returned command before proceeding to the next step. </p>
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### retrieveKeytabCall

          public com.squareup.okhttp.Call retrieveKeytabCall(ApiPrincipalList body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for retrieveKeytab
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### retrieveKeytab

          public File retrieveKeytab(ApiPrincipalList body)
                              throws ApiException

      Retrieves a keytab for a list of principals. Retrieves a keytab for a list of principals. The principals must already exist.
      Parameters:
        `body` - (optional)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### retrieveKeytabWithHttpInfo

          public ApiResponse<File> retrieveKeytabWithHttpInfo(ApiPrincipalList body)
                                                       throws ApiException

      Retrieves a keytab for a list of principals. Retrieves a keytab for a list of principals. The principals must already exist.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### retrieveKeytabAsync

          public com.squareup.okhttp.Call retrieveKeytabAsync(ApiPrincipalList body,
                                                              ApiCallback<File> callback)
                                                       throws ApiException

      Retrieves a keytab for a list of principals. (asynchronously) Retrieves a keytab for a list of principals. The principals must already exist.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### testExternalAuthenticationCall

          public com.squareup.okhttp.Call testExternalAuthenticationCall(ApiTestCmExternalAuthArguments body,
                                                                         ProgressResponseBody.ProgressListener progressListener,
                                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                  throws ApiException

      Build call for testExternalAuthentication
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### testExternalAuthentication

          public ApiCommand testExternalAuthentication(ApiTestCmExternalAuthArguments body)
                                                throws ApiException

      Launches a command to test the currently configured external authentication. Launches a command to test the currently configured external authentication
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### testExternalAuthenticationWithHttpInfo

          public ApiResponse<ApiCommand> testExternalAuthenticationWithHttpInfo(ApiTestCmExternalAuthArguments body)
                                                                         throws ApiException

      Launches a command to test the currently configured external authentication. Launches a command to test the currently configured external authentication
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### testExternalAuthenticationAsync

          public com.squareup.okhttp.Call testExternalAuthenticationAsync(ApiTestCmExternalAuthArguments body,
                                                                          ApiCallback<ApiCommand> callback)
                                                                   throws ApiException

      Launches a command to test the currently configured external authentication. (asynchronously) Launches a command to test the currently configured external authentication
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateConfigCall

          public com.squareup.okhttp.Call updateConfigCall(String message,
                                                           ApiConfigList body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for updateConfig
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateConfig

          public ApiConfigList updateConfig(String message,
                                            ApiConfigList body)
                                     throws ApiException

      Update the Cloudera Manager settings. Update the Cloudera Manager settings. <p> If a value is set in the given configuration, it will be added to the manager's settings, replacing any existing entry. If a value is unset (its value is null), the existing the setting will be erased. <p> Settings that are not listed in the input will maintain their current values.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateConfigWithHttpInfo(String message,
                                                                     ApiConfigList body)
                                                              throws ApiException

      Update the Cloudera Manager settings. Update the Cloudera Manager settings. <p> If a value is set in the given configuration, it will be added to the manager's settings, replacing any existing entry. If a value is unset (its value is null), the existing the setting will be erased. <p> Settings that are not listed in the input will maintain their current values.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigAsync

          public com.squareup.okhttp.Call updateConfigAsync(String message,
                                                            ApiConfigList body,
                                                            ApiCallback<ApiConfigList> callback)
                                                     throws ApiException

      Update the Cloudera Manager settings. (asynchronously) Update the Cloudera Manager settings. <p> If a value is set in the given configuration, it will be added to the manager's settings, replacing any existing entry. If a value is unset (its value is null), the existing the setting will be erased. <p> Settings that are not listed in the input will maintain their current values.
      Parameters:
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateCspTypeCall

          public com.squareup.okhttp.Call updateCspTypeCall(ApiUpdateCspTypeArguments body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for updateCspType
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateCspType

          public ApiCommand updateCspType(ApiUpdateCspTypeArguments body)
                                   throws ApiException

      Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type. Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type.
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateCspTypeWithHttpInfo

          public ApiResponse<ApiCommand> updateCspTypeWithHttpInfo(ApiUpdateCspTypeArguments body)
                                                            throws ApiException

      Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type. Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateCspTypeAsync

          public com.squareup.okhttp.Call updateCspTypeAsync(ApiUpdateCspTypeArguments body,
                                                             ApiCallback<ApiCommand> callback)
                                                      throws ApiException

      Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type. (asynchronously) Updates the CSP type from previous csp type to new csp type, by copying the key_id (used for encryption of configs) from previous csp type to new csp type.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateDeployment2Call

          public com.squareup.okhttp.Call updateDeployment2Call(Boolean deleteCurrentDeployment,
                                                                ApiDeployment2 body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for updateDeployment2
      Parameters:
        `deleteCurrentDeployment` - If true, the current deployment is deleted before the specified deployment is applied (optional, default to false)
        `body` - The deployment to create (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateDeployment2

          public ApiDeployment2 updateDeployment2(Boolean deleteCurrentDeployment,
                                                  ApiDeployment2 body)
                                           throws ApiException

      Apply the supplied deployment description to the system. Apply the supplied deployment description to the system. This will create the clusters, services, hosts and other objects specified in the argument. This call does not allow for any merge conflicts. If an entity already exists in the system, this call will fail. You can request, however, that all entities in the system are deleted before instantiating the new ones. <p/> You may specify a complete or partial deployment, e.g. you can provide host info with no clusters. However, if you request that the current deployment be deleted, you are required to specify at least one admin user or this call will fail. This is to protect you from creating a system that cannot be logged into again. <p/> If there are any errors creating (or optionally deleting) a deployment, all changes will be rolled back leaving the system exactly as it was before calling this method. The system will never be left in a state where part of the deployment is created and other parts are not. <p/> If the submitted deployment contains entities that require Cloudera Enterprise license, then the license should be provided to Cloudera Manager before making this API call.
      Parameters:
        `deleteCurrentDeployment` - If true, the current deployment is deleted before the specified deployment is applied (optional, default to false)
        `body` - The deployment to create (optional)
      Returns:
        ApiDeployment2
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateDeployment2WithHttpInfo

          public ApiResponse<ApiDeployment2> updateDeployment2WithHttpInfo(Boolean deleteCurrentDeployment,
                                                                           ApiDeployment2 body)
                                                                    throws ApiException

      Apply the supplied deployment description to the system. Apply the supplied deployment description to the system. This will create the clusters, services, hosts and other objects specified in the argument. This call does not allow for any merge conflicts. If an entity already exists in the system, this call will fail. You can request, however, that all entities in the system are deleted before instantiating the new ones. <p/> You may specify a complete or partial deployment, e.g. you can provide host info with no clusters. However, if you request that the current deployment be deleted, you are required to specify at least one admin user or this call will fail. This is to protect you from creating a system that cannot be logged into again. <p/> If there are any errors creating (or optionally deleting) a deployment, all changes will be rolled back leaving the system exactly as it was before calling this method. The system will never be left in a state where part of the deployment is created and other parts are not. <p/> If the submitted deployment contains entities that require Cloudera Enterprise license, then the license should be provided to Cloudera Manager before making this API call.
      Parameters:
        `deleteCurrentDeployment` - If true, the current deployment is deleted before the specified deployment is applied (optional, default to false)
        `body` - The deployment to create (optional)
      Returns:
        ApiResponse<ApiDeployment2>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateDeployment2Async

          public com.squareup.okhttp.Call updateDeployment2Async(Boolean deleteCurrentDeployment,
                                                                 ApiDeployment2 body,
                                                                 ApiCallback<ApiDeployment2> callback)
                                                          throws ApiException

      Apply the supplied deployment description to the system. (asynchronously) Apply the supplied deployment description to the system. This will create the clusters, services, hosts and other objects specified in the argument. This call does not allow for any merge conflicts. If an entity already exists in the system, this call will fail. You can request, however, that all entities in the system are deleted before instantiating the new ones. <p/> You may specify a complete or partial deployment, e.g. you can provide host info with no clusters. However, if you request that the current deployment be deleted, you are required to specify at least one admin user or this call will fail. This is to protect you from creating a system that cannot be logged into again. <p/> If there are any errors creating (or optionally deleting) a deployment, all changes will be rolled back leaving the system exactly as it was before calling this method. The system will never be left in a state where part of the deployment is created and other parts are not. <p/> If the submitted deployment contains entities that require Cloudera Enterprise license, then the license should be provided to Cloudera Manager before making this API call.
      Parameters:
        `deleteCurrentDeployment` - If true, the current deployment is deleted before the specified deployment is applied (optional, default to false)
        `body` - The deployment to create (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateGlobalTruststoreCall

          public com.squareup.okhttp.Call updateGlobalTruststoreCall(ApiUpdateGlobalTruststoreArguments body,
                                                                     ProgressResponseBody.ProgressListener progressListener,
                                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                              throws ApiException

      Build call for updateGlobalTruststore
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateGlobalTruststore

          public ApiCommand updateGlobalTruststore(ApiUpdateGlobalTruststoreArguments body)
                                            throws ApiException

      Add/remove certificates to the Auto-TLS certificate truststore. Add/remove certificates to the Auto-TLS certificate truststore
      Parameters:
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateGlobalTruststoreWithHttpInfo

          public ApiResponse<ApiCommand> updateGlobalTruststoreWithHttpInfo(ApiUpdateGlobalTruststoreArguments body)
                                                                     throws ApiException

      Add/remove certificates to the Auto-TLS certificate truststore. Add/remove certificates to the Auto-TLS certificate truststore
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateGlobalTruststoreAsync

          public com.squareup.okhttp.Call updateGlobalTruststoreAsync(ApiUpdateGlobalTruststoreArguments body,
                                                                      ApiCallback<ApiCommand> callback)
                                                               throws ApiException

      Add/remove certificates to the Auto-TLS certificate truststore. (asynchronously) Add/remove certificates to the Auto-TLS certificate truststore
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateLicenseCall

          public com.squareup.okhttp.Call updateLicenseCall(File license,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for updateLicense
      Parameters:
        `license` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateLicense

          public ApiLicense updateLicense(File license)
                                   throws ApiException

      Updates the Cloudera Manager license. Updates the Cloudera Manager license. <p> After a new license is installed, the Cloudera Manager needs to be restarted for the changes to take effect. <p> The license file should be uploaded using a request with content type \"multipart/form-data\", instead of being encoded into a JSON representation.
      Parameters:
        `license` - (optional)
      Returns:
        ApiLicense
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateLicenseWithHttpInfo

          public ApiResponse<ApiLicense> updateLicenseWithHttpInfo(File license)
                                                            throws ApiException

      Updates the Cloudera Manager license. Updates the Cloudera Manager license. <p> After a new license is installed, the Cloudera Manager needs to be restarted for the changes to take effect. <p> The license file should be uploaded using a request with content type \"multipart/form-data\", instead of being encoded into a JSON representation.
      Parameters:
        `license` - (optional)
      Returns:
        ApiResponse<ApiLicense>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateLicenseAsync

          public com.squareup.okhttp.Call updateLicenseAsync(File license,
                                                             ApiCallback<ApiLicense> callback)
                                                      throws ApiException

      Updates the Cloudera Manager license. (asynchronously) Updates the Cloudera Manager license. <p> After a new license is installed, the Cloudera Manager needs to be restarted for the changes to take effect. <p> The license file should be uploaded using a request with content type \"multipart/form-data\", instead of being encoded into a JSON representation.
      Parameters:
        `license` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.